/*
 * $Id: attractmanager.c,v 1.4 2001/12/20 15:01:36 kenta Exp $
 *
 * Copyright 2001 Kenta Cho. All rights reserved.
 */

/**
 * Re: W32/Badtrance title/gameover.
 *
 * @version $Revision: 1.4 $
 */
#include <piece.h>

#include "attractmanager.h"
#include "re.h"
#include "gamemanager.h"
#include "render.h"

void drawTitle() {
  int pad = pcePadGet();
  int c = cnt%32;
  clearScreen();
  drawObject(&titleBmp, 0, 10, 128, 44);
  if ( c < 16 ) {
    drawObject(&startBmp, 32, 64, 64, 12);
  }
  
  if ( pad & TRG_C ) initInGame();
  else if ( cnt > 320 ) initDemo();
}

static void drawNum(int n, int x, int y) {
  int bs = 1000000;
  while ( bs > 0 ) {
    int d = n/bs;
    drawObject(&numBmp[d], x, y, 8, 8);
    n -= d*bs; bs /= 10; x += 9;
  }
}

void drawGameover() {
  int pad = pcePadGet();
  clearScreen();
  drawObject(&govBmp, 32, 36, 64, 12);

  drawObject(&scrBmp, 0, 0, 48, 8);
  drawNum(score, 64, 9);

  /*drawObject(&htBmp, 0, 71, 48, 8);
  drawObject(&scrBmp, 32, 71, 48, 8);
  drawNum(hiScore, 64, 80);*/

  if ( cnt > 320 || pad & ( TRG_A | TRG_B ) ) initTitle();
}
